/*=============== GOOGLE FONTS ===============*/
@import url('https://fonts.googleapis.com/css2?family=Open+Sans:wght@400;600&display=swap');


/* ------------Vairables---------------- */
:root {
  --header-height: 3.5rem;

  --first-color: hsl(0, 0%, 55%);
  --hover-color: hsl(0, 0%, 85%);
  --button-color: hsl(217, 89%, 41%);
  --button-color-alt: hsl(217, 89%, 51%);
  --title-color: hsl(0, 0%, 15%);
  --text-color: hsl(0, 0%, 35%);
  --text-color-light: hsl(0, 0%, 75%);
  --body-color: hsl(0, 0%, 83%);
  --container-color: hsl(0, 0%, 95%);
  --border-color: hsl(0, 0%, 94%);
  --blue-color: hsl(217, 89%, 61%);
  --red-color: hsl(5, 81%, 56%);
  --green-color: hsl(136, 53%, 43%);
  --yellow-color: hsl(45, 97%, 50%);



  --body-font: 'Open-Sans', sans-serif;
  --title-font: 'Open-Sans', sans-serif;
  --biggest-font-size: 2rem;
  --h1-font-size: 2rem;
  --h2-font-size: 1.25rem;
  --h3-font-size: 1rem;
  --normal-font-size: .938rem;
  --small-font-size: .813rem;
  --smaller-font-size: .75rem;


  --font-medium: 500;
  --font-bold: 700;


  --mb-0-5: .5rem;
  --mb-0-75: .75rem;
  --mb-1: 1rem;
  --mb-1-5: 1.5rem;
  --mb-2: 2rem;
  --mb-2-5: 2.5rem;
  --mb-3: 3rem;


  --z-tooltip: 10;
  --z-fixed: 100;
}

@media screen and (min-width: 968px) {
  :root {
    --biggest-font-size: 2.5rem;
    --h1-font-size: 2.25rem;
    --h2-font-size: 1.5rem;
    --h3-font-size: 1.25rem;
    --normal-font-size: 1rem;
    --small-font-size: .875rem;
    --smaller-font-size: .813rem;
  }
}

/*-------------Basic----------------*/
* {
  box-sizing: border-box;
  padding: 0;
  margin: 0;
}

html {
  scroll-behavior: smooth;
}

body,
button,
input {
  font-family: var(--body-font);
  font-size: var(--normal-font-size);
}

body {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  margin: 0;
  background-color: #FFF8E1;
  color: var(--text-color);
  /*For animation dark mode*/
  transition: .4s;
}

h1,
h2,
h3,
h4 {
  color: var(--title-color);
  font-weight: var(--font-medium);
}

ul {
  list-style: none;
}

a {
  text-decoration: none;
}

img {
  max-width: 100%;
  height: auto;
}

button {
  cursor: pointer;
  border: none;
  outline: none;
}

/* -------------------THEME------------------- */

body.dark-theme {
  --first-color: hsl(210, 3%, 55%);
  --button-color: hsl(217, 89%, 41%);
  --button-color-alt: hsl(217, 89%, 51%);
  --title-color: hsl(0, 0%, 95%);
  --text-color: hsl(0, 0%, 95%);
  --body-color: hsl(210, 3%, 15%);
  --container-color: hsl(210, 3%, 25%);
  --border-color: hsl(210, 3%, 5%);
  background-color: var(--body-color);
}


.change-theme {
  color: var(--title-color);
  font-size: 1.25rem;
  cursor: pointer;
}

.dark-theme .change-theme,
.dark-theme .nav-toggle,
.dark-theme .nav-shop,
.dark-theme .button--gray {
  color: white;
}

.dark-theme .scroll-header {
  box-shadow: 0 1px 4px hsla(0, 0%, 4%, .3);
}

.scroll-header .change-theme,
.scroll-header .nav-toggle,
.scroll-header .nav-shop {
  color: var(--title-color);
}

.dark-theme .footer-section {
  background-color: var(--body-color);
  /* other styles for dark theme */
}

.dark-theme::-webkit-scrollbar {
  background: hsl(0, 0%, 30%);
}

/* -------------Reused CSS------------------- */
.container {
  max-width: 1024px;
  margin-left: var(--mb-1-5);
  margin-right: var(--mb-1-5);
}

.grid {
  display: grid;
  gap: 10rem;
}

.grid-one-col {
  grid-template-columns: repeat(1, 1fr);
}

.grid-two-col {
  grid-template-columns: repeat(2, 1fr);
}

.grid-three-col {
  grid-template-columns: repeat(3, 1fr);
}

.grid-four-col {
  grid-template-columns: repeat(4, 1fr);
}

.main {
  overflow: hidden;
}

.section {
  padding: 6.5rem 0 1rem;
}

.section-title {
  position: relative;
  font-size: var(--h1-font-size);
  font-family: var(--title-font);
  font-weight: var(--font-bold);
  margin-bottom: var(--mb-3);
  text-transform: uppercase;
  letter-spacing: 2px;
  text-align: center;
}

.section-title::before {
  content: '';
  position: absolute;
  top: -1rem;
  left: 0;
  right: 0;
  margin: 0 auto;
  width: 67px;
  height: 1px;
  background-color: var(--first-color);
}

/* ---------------Navbar---------------- */
.header {
  width: 100%;
  background: transparent;
  position: fixed;
  top: 0;
  left: 0;
  z-index: var(--z-fixed);
  /*For animation dark mode*/
  transition: .4s;
}

.nav {
  height: var(--header-height);
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.nav-logo,
.nav-toggle,
.nav-shop,
.nav-close {
  color: var(--title-color);
}

.nav-logo {
  cursor: pointer;
  font-weight: 600;
  letter-spacing: 1px;
  display: inline-flex;
  align-items: center;
  column-gap: .25rem;
}

.nav-logo-icon {
  width: 40px;
}

.nav-btns {
  display: flex;
  align-items: center;
  column-gap: 1rem;
}

.nav-toggle,
.nav-shop {
  font-size: 1.25rem;
  cursor: pointer;
}

@media screen and (max-width: 767px) {
  .nav-menu {
    position: fixed;
    background-color: var(--body-color);
    top: 0;
    right: -100%;
    width: 100%;
    height: 100%;
    padding: 6rem 2rem 3.5rem;
    transition: .3s;
  }
}

.nav-list {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  row-gap: 2rem;
}

.nav-link {
  color: var(--first-color);
  font-weight: 700;
  text-transform: uppercase;
  font-size: var(--h2-font-size);
  transition: .3s;
}

.nav-link:hover {
  color: var(--title-color);
}

.nav-close {
  font-size: 2rem;
  position: absolute;
  top: .9rem;
  right: 1.25rem;
  cursor: pointer;
}

.show-menu {
  right: 0;
}

.scroll-header {
  background-color: var(--body-color);
  box-shadow: 0 1px 4px hsla(0, 4%, 15%, .10);
}

.active-link {
  color: var(--title-color);
}

/* -------------Home--------------- */

.home {
  width: 1000px;
  height: 300px;
  background-color: whitesmoke;
  border-radius: 40px;
  margin-bottom: 400px;
}

/* .dark-theme .home {
  color: black;
} */

.home-container {
  position: relative;
  row-gap: 2.5rem;
}

.container1 {
  margin-top: 160px;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  position: relative;
  top: 75px;
}

.container1 p {
  font-size: 3rem;
  padding: 0.5rem;
  font-weight: bold;
  letter-spacing: 0.1rem;
  text-align: center;
  overflow: hidden;
}

.clg {
  font-size: 30px;
  font-weight: 600;
  color: var(--text-color);
}

.dark-theme .clg {
  color: black;

}


.home-button {
  display: flex;
  align-items: center;
  justify-content: center;
  margin-top: var(--mb-1-5);
}

.home-data {
  width: 940px;
  align-items: center;
  justify-content: center;
}

.home-img {
  width: 240px;
  margin-top: 160px;
}

.home-title {
  font-size: var(--biggest-font-size);
  font-weight: var(--font-bold);
  margin-bottom: var(--mb-1);
  font-family: var(--title-font);
  text-align: center;
}

.home-description {
  text-align: center;
}


.button {
  display: inline-block;
  background-color: var(--button-color);
  color: #FFF;
  padding: 1.25rem 2rem;
  font-weight: var(--font-medium);
  transition: .3s;
  border-radius: 30px;
}

.button:hover {
  background-color: var(--button-color-alt);
}

.button--small {
  padding: 1rem 1.5rem;
}

.know-more {
  position: relative;
  top: 50px;
  font-size: 15px;
  font-weight: 600;
  background-color: var(--button-color);
  color: whitesmoke;
  width: 120px;
  height: 40px;
  display: flex;
  justify-content: center;
  align-items: center;
  border-radius: 30px;
}

.join-section {
  width: 1000px;
  height: 220px;
  background-color: rgb(250, 217, 223);
  border-radius: 0 0 40px 40px;
  display: flex;
  flex-direction: column;
  align-items: center;
  text-align: center;
  margin-top: 180px;
}

.join-section p {
  margin-top: 50px;
  width: 800px;
  font-size: 15x;
  font-weight: 600;
}

.dark-theme .join-section p {
  color: #333;
}


/* ---------------About--------------- */
.about-section {
  display: flex;
  width: 1000px;
  height: 900px;
  flex-direction: column;
  align-items: center;
  text-align: center;
  background-color: whitesmoke;
  margin-top: 50px;
  border-radius: 0 300px 0 300px;
}

.dark-theme .about-content {
  color: black;
}

.dark-theme .about-content h2 {
  color: black;
}

.about-title {
  color: var(--blue-color);
  padding: 50px 0 0 0;
  font-weight: 700;
  font-size: 40px;
}

.who-section {
  padding: 20px 0 50px;
  width: 800px;
  font-weight: 500;
  font-size: 20px;
}

.mission-section {
  padding: 25px;
  width: 800px;
  font-weight: 500;
  font-size: 20px;
}

.what-section {
  padding: 25px;
  width: 800px;
  font-weight: 500;
  font-size: 20px;
}

.impact-section {
  padding: 25px;
  width: 800px;
  font-weight: 500;
  font-size: 20px;
}

/* Events Card styles */
.events-container {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  grid-gap: 20px;
  margin-top: 20px;
}

.events {
  color: var(--blue-color);
  padding: 50px 0 0 0;
  font-weight: 700;
  font-size: 50px;
}

.events-section {
  display: flex;
  width: 1000px;
  height: 400px;
  flex-direction: column;
  align-items: center;
  text-align: center;
}

.events-title {
  color: var(--blue-color);
  padding: 50px 0 0 0;
  font-weight: 700;
  font-size: 35px;
}

.events-card {
  background-color: #ffffff;
  padding: 20px;
  border-radius: 10px;
  box-shadow: 0px 0px 10px rgba(0, 0, 0, 0.1);
}

.events-data {
  margin-bottom: 10px;
}

.events-title {
  font-size: 20px;
}

.slider {
  margin-top: 20px;
}

.slides {
  display: flex;
  overflow: hidden;
}

.slides div {
  flex: 0 0 100%;
  display: none;
}

.slides div img {
  max-width: 100%;
  height: auto;
}

.slides div:first-child {
  display: block;
}

.slider a {
  margin-right: 5px;
  text-decoration: none;
  color: #333;
}

.button {
  display: inline-block;
  padding: 10px 15px;
  background-color: #007bff;
  color: #fff;
  border: none;
  border-radius: 5px;
  cursor: pointer;
  transition: background-color 0.3s;
}

.button:hover {
  background-color: #0056b3;
}


/* Slider styles */
.slider {
  margin-top: 1rem;
  text-align: center;
}

.slides {
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 1rem;
}

.slides div {
  display: none;
  max-width: 100%;
}

.slides img {
  max-width: 100%;
  height: auto;
  border-radius: 8px;
  box-shadow: 0 2px 5px rgba(0, 0, 0, 0.1);
}

/* Navigation links styles */
.slider a {
  display: inline-block;
  margin: 0 0.5rem;
  padding: 0.25rem 0.5rem;
  text-align: center;
  text-decoration: none;
  color: #333;
  background-color: #eee;
  border-radius: 50%;
  transition: background-color 0.3s, color 0.3s;
}

.slider a.active {
  color: #fff;
  background-color: #4285f4;
}

/* Button styles */
.events-button {
  margin-top: 1rem;
  background-color: #4285f4;
  color: #fff;
  border: none;
  border-radius: 4px;
  padding: 0.5rem 1rem;
  cursor: pointer;
  transition: background-color 0.3s;
}

.events-button:hover {
  background-color: #1967d2;
}


/* -----------------roles------------------- */
/* .team-member {
  background-color: white;
} */
.teams {
  margin-bottom: 50px;
  border-top: solid black thin;
  border-bottom: solid black thin;
}

.team-title {
  text-align: center;
  font-size: 50px;
  font-weight: 700;
  /* height: auto !important;*/
  color: var(--blue-color);
  /* line-height: normal!important; */
  margin-top: 30px;
}

.swiper {
  width: 100%;
  height: 100%;
  margin-top: 5rem;
}

.swiper-slide {
  text-align: center;
  font-size: 10px;
  background: #fff;
  color: black;
  border-radius: 20px;

  /* Center slide text vertically */
  flex-direction: column;
  display: -webkit-box;
  display: -ms-flexbox;
  display: -webkit-flex;
  display: flex;
  -webkit-box-pack: center;
  -ms-flex-pack: center;
  -webkit-justify-content: center;
  justify-content: center;
  -webkit-box-align: center;
  -ms-flex-align: center;
  -webkit-align-items: center;
  align-items: center;
  margin-bottom: 5rem;
}

.swiper-team-msg {
  padding: 2rem 2rem;
  /* text-align: left; */
  box-shadow: var(--shadpw);
  position: relative;
}

.swiper-team-msg p {
  color: black;
  font-size: 15px;
  grid: 2rem;
}

.swiper-team-msg::before {
  content: "";
  position: absolute;
  bottom: -10rem;
  left: 50%;
  transform: translateX(-50%);
  /* width: 5rem;
  height: 5rem; */
  border: 5rem solid var(--third);
  border-color: transparent;
  border-top-color: var(--third);
}

.swiper-team-msg p::before {
  content: "\f10d";
  display: inline-block;
  position: absolute;
  top: 0;
  left: 10px;
  font-size: 20px;
  font-family: "Font Awesome 6 Free";
  font-weight: 900;
  color: black;
}

.swiper-team-msg p::after {
  /* display: inline-block */
  content: "\f10e";
  position: absolute;
  bottom: 0%;
  right: 5%;

  font-size: 20px;
  font-family: "Font Awesome 6 Free";
  font-weight: 900;
  color: black;
}

.swiper-slide img {
  display: block;
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.swiper-team-data {
  align-items: center;
  justify-items: start;
  justify-content: start;
  gap: 1.4rem;
  margin-top: 20px;
  font-size: 15px;
}

.swiper-team-data img {
  max-width: 5rem;
  height: 5rem;
  border-radius: 50%;
  border: 2px solid #ced3ff;
}

.swiper-team-data p:first-child {
  font-weight: bold;
  color: var(--heading);
}

/* ----------Contact Us---------- */

.contact-title {
  font-family: 'Poppins', sans-serif, 'arial';
  font-weight: 600;
  font-size: 50px;
  color: var(--blue-color);
  text-align: center;
}

.row {
  font-family: 'Roboto', sans-serif, 'arial';
  font-weight: 400;
  font-size: 20px;
  color: #9b9b9b;
  line-height: 1.5;
}

input:focus~label,
textarea:focus~label,
input:valid~label,
textarea:valid~label {
  font-size: 0.75em;
  color: black;
  top: -5px;
  -webkit-transition: all 0.225s ease;
  transition: all 0.225s ease;
}

.dark-theme input:focus~label,
textarea:focus~label,
input:valid~label,
textarea:valid~label {
  font-size: 0.75em;
  color: black;
  top: -5px;
  -webkit-transition: all 0.225s ease;
  transition: all 0.225s ease;
}

.styled-input {
  float: left;
  width: 293px;
  margin: 1rem 0;
  position: relative;
  border-radius: 4px;
}

@media only screen and (max-width: 768px) {
  .styled-input {
    width: 100%;
  }
}

.styled-input label {
  color: black;
  font: 600;
  padding: 1.3rem 30px 1rem 30px;
  position: absolute;
  top: 10px;
  left: 0;
  -webkit-transition: all 0.25s ease;
  transition: all 0.25s ease;
  pointer-events: none;
}

.dark-theme .styled-input label {
  color: black;
  font: 600;
  padding: 1.3rem 30px 1rem 30px;
  position: absolute;
  top: 10px;
  left: 0;
  -webkit-transition: all 0.25s ease;
  transition: all 0.25s ease;
  pointer-events: none;
}

.styled-input.wide {
  width: 650px;
  max-width: 100%;
}

input,
textarea {
  padding: 30px;
  border: 0;
  width: 100%;
  font-size: 1rem;
  /* background-color: #2d2d2d; */
  /* color: white; */
  border-radius: 4px;
}

input:focus,
textarea:focus {
  outline: 0;
}

input:focus~span,
textarea:focus~span {
  width: 100%;
  -webkit-transition: all 0.075s ease;
  transition: all 0.075s ease;
}

textarea {
  width: 100%;
  min-height: 15em;
}

.input-container {
  width: 650px;
  max-width: 100%;
  margin: 20px auto 25px auto;
}

.submit-btn {
  /* float: right; */
  padding: 7px 35px;
  border-radius: 60px;
  display: inline-block;
  background-color: #4b8cfb;
  color: white;
  font-size: 18px;
  cursor: pointer;
  box-shadow: 0 2px 5px 0 rgba(0, 0, 0, 0.06),
    0 2px 10px 0 rgba(0, 0, 0, 0.07);
  -webkit-transition: all 300ms ease;
  transition: all 300ms ease;
}

.submit-btn:hover {
  transform: translateY(1px);
  box-shadow: 0 1px 1px 0 rgba(0, 0, 0, 0.10),
    0 1px 1px 0 rgba(0, 0, 0, 0.09);
}

@media (max-width: 768px) {
  .submit-btn {
    width: 100%;
    float: none;
    text-align: center;
  }
}

input[type=checkbox]+label {
  color: #ccc;
  font-style: italic;
}

input[type=checkbox]:checked+label {
  color: #f00;
  font-style: normal;
}


/* -----------Footer-------------- */

.footer-section {
  background-color: whitesmoke;
  width: 1350px;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  align-items: center;
  border-top: solid black 1px;
}

.dark-theme .footer-section {
  border-top: 1px solid whitesmoke;
}

.footer-container {
  row-gap: 2rem;
  border-bottom: 1px solid black;
  padding-bottom: 3rem;
  margin-top: 100px;
}

.dark-theme .footer-container {
  border-bottom: 1px solid whitesmoke;
}

.footer-title {
  font-size: var(--h1-font-size);
  margin-bottom: var(--mb-1-5);
  font-family: var(--title-font);
}

.footer-list,
.footer-links {
  display: flex;
  flex-direction: column;
  row-gap: .75rem;
}

.footer-link {
  color: var(--text-color);
}

.footer-link:hover {
  color: var(--title-color);
}

.footer-social {
  display: flex;
  column-gap: 1rem;
}

.footer-social-link {
  font-size: 1.25rem;
  color: var(--text-color);
}

.footer-social-link:hover {
  color: var(--title-color);
}

.footer-copy {
  display: block;
  margin: 3.5rem 0 1rem 0;
  text-align: center;
  font-size: var(--smaller-font-size);
  color: var(--text-color);
}

.footer-logo {
  width: 100px;
  mix-blend-mode: multiply;
}

.dark-theme .footer-logo {
  mix-blend-mode: normal;
}


/* --------------Scroll-Up-------------- */
.scrollup {
  position: fixed;
  right: 1rem;
  bottom: -30%;
  background-color: black;
  box-shadow: 0 4px 12px hsla(0, 0%, 20%, .1);
  display: inline-flex;
  padding: .25rem;
  z-index: var(--z-tooltip);
  opacity: .8;
  transition: .4s;
  border-radius: 50px;
}

.dark-theme .scrollup {
  background-color: white;
  border-radius: 50px;
}

.scrollup:hover {
  opacity: 1;
}

.scrollup-icon {
  font-size: 1.5rem;
  color: white;
}

.dark-theme .scrollup-icon {
  font-size: 1.5rem;
  color: black;
}

.show-scroll {
  bottom: 3rem;
}

/* --------------------Scroll Bar------------------------ */
::-webkit-scrollbar {
  width: .6rem;
  background: hsl(0, 0%, 74%);
}

::-webkit-scrollbar-thumb {
  background: hsl(0, 0%, 17%);
}



/* For small devices */
@media screen and (max-width: 320px) {
  .container {
    margin-left: var(--mb-1);
    margin-right: var(--mb-1);
  }

  .home-img-bg {
    width: 220px;
  }

  .home-title {
    font-size: var(--h1-font-size);
  }

  .home-button {
    font-size: var(--smaller-font-size);
  }

  .home-social {
    display: none;
  }

  .about-square,
  .about-img {
    width: 180px;
  }

  .about-square {
    height: 180px;
  }

  .skills-container {
    grid-template-columns: repeat(1, 180px);
    justify-content: center;
  }
}

/* For medium devices */
@media screen and (min-width: 576px) {
  .home-img-bg {
    width: 340px;
  }

  .events-container {
    grid-template-columns: repeat(2, 1fr);
    justify-content: center;
    align-items: flex-start;
    gap: 1.5rem;
  }

  .footer-container {
    grid-template-columns: repeat(2, 1fr);
  }
}

@media screen and (min-width: 767px) {
  .section {
    padding: 8rem 0 1rem;
  }

  .nav {
    height: calc(var(--header-height) + 1.5rem);
    justify-content: initial;
    column-gap: 3rem;
  }

  .nav-toggle,
  .nav-close {
    display: none;
  }

  .nav-list {
    flex-direction: row;
    column-gap: 2.5rem;
  }

  .nav-link {
    text-transform: initial;
    font-size: var(--normal-font-size);
  }

  .nav-btns {
    margin-left: auto;
  }

  .home-container {
    padding-top: 6rem;
    grid-template-columns: 1fr max-content;
    align-items: center;
  }

  .home-img-bg {
    order: 1;
    transform: translate(1.5rem, -6rem);
  }

  .home-data {
    padding: 0 0 3rem 6rem;
  }

  .home-social {
    top: 47%;
    column-gap: 2rem;
  }

  .events-title,
  .events-price {
    font-size: var(--normal-font-size);
  }

  .about-container {
    grid-template-columns: repeat(2, 1fr);
    align-items: center;
  }

  .about-section-title {
    text-align: initial;
  }

  .about-section-title::before {
    margin: initial;
  }

  .about-images {
    order: -1;
  }

  .skills-container {
    grid-template-columns: repeat(3, 200px);
    justify-content: center;
    gap: 2.5rem;
  }

  .skills-card {
    padding: 2rem 0;
  }

  .skills-img {
    height: 155px;
  }

  .footer-container {
    grid-template-columns: repeat(4, max-content);
    justify-content: space-between;
  }

  .footer-title {
    font-size: var(--h3-font-size);
  }
}

@media screen and (min-width: 992px) {
  .section-title {
    font-size: var(--h2-font-size);
  }

  .home-container {
    column-gap: 2rem;
  }

  .home-img-bg {
    width: 480px;
    height: 680px;
  }

  .home-img {
    width: 420px;
  }

  .home-social {
    left: -6rem;
  }

  .home-data {
    padding: 0 0 8rem 6rem;
  }

  .events-container {
    grid-template-columns: repeat(3, 312px);
    padding-top: 2rem;
  }

  .about-container {
    column-gap: 8rem;
  }

  .about-square,
  .about-img {
    width: 450px;
  }

  .about-square {
    height: 450px;
  }

  .skills-container {
    padding-top: 2rem;
  }

}

/* For large devices */
@media screen and (min-width: 1024px) {
  .container {
    margin-left: auto;
    margin-right: auto;
  }

  .about-container {
    column-gap: 13rem;
  }

  .about-container {
    padding-top: 3rem;
  }

  .about-img {
    left: 5rem;
    top: -5rem;
  }

  .scrollup {
    right: 3rem;
  }
}

.hidden {
  opacity: 0;
}